Update SAML SP Configuration

Updates an existing Service Provider configuration for a SAML client within the Tenant, identified by the application name.

PUT
/v2/manage/custom-providers/saml/{samlApp}

Updates an existing Service Provider configuration for a SAML client within the Tenant, identified by the application name.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

samlApp*string

The SAML App identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/custom-providers/saml/my-saml-app" \  -H "Content-Type: application/json" \  -d '{    "Provider": "providerName",    "DataMap": {      "key1": "value1",      "key2": "value2"    }  }'
{
  "Id": "507f1f77bcf86cd799439011",
  "IsActive": true,
  "IsDeleted": false,
  "IsIdpInitiated": true,
  "DataMap": {
    "key1": "value1",
    "key2": "value2"
  },
  "AppId": "507f1f77bcf86cd799439011",
  "AppID": 123,
  "RelayStateParameter": "relayState",
  "Provider": "providerName",
  "FriendlyProviderName": "Friendly Provider",
  "DefaultLogoutUrl": "https://example.com/logout",
  "ServiceProviderACSUrl": "https://example.com/acs",
  "SamlServiceProvider": "SAML Service Provider",
  "IdpCertificate": {
    "Certificate": "certificate",
    "Key": "key"
  },
  "SpCertificate": {
    "Certificate": "certificate"
  },
  "IdentityProvider": {
    "Binding": "binding",
    "Location": "location",
    "LogOut": "logout"
  },
  "EnableAutoLookUp": true,
  "Domain": "example.com",
  "ListInInterface": true,
  "CreatedDate": "2023-01-01T00:00:00Z",
  "LastModifiedDate": "2023-01-02T00:00:00Z"
}

{
  "ErrorCode": 1079,
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request."
}

{
  "Description": "Security Assertion Markup Language (SAML) configuration is not configured or the resource does not exist.",
  "ErrorCode": 7938,
  "Message": "SAML configuration not found"
}
{
  "Message": "Domain name already exists",
  "Description": "The entered domain name is already associated with a configuration. Please input a different domain name.",
  "ErrorCode": 8038
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}